Post by Johnathan » Sun Apr 30, 2017 8:02 am

slavib wrote:
Sat Apr 29, 2017 1:28 am
Missing the Extensions menu
The permissions are missing from the default install. If you re-save all permissions in Users > User Groups, it should show up.

Image
Image Image Image Image Image Image


User avatar
Global Moderator

Posts

Joined
Fri Dec 18, 2009 3:08 am


Post by cyclops12 » Mon May 01, 2017 1:05 am

Have also noticed on the Extension Installer page the help_upload text seems to be missing from the language file

Attachments

helpupload.png

helpupload.png (13.97 KiB) Viewed 1790 times


Newbie

Posts

Joined
Sun Sep 27, 2015 1:10 am

Post by nasser.man » Mon May 01, 2017 6:35 am

Daniel wrote:
Tue Apr 04, 2017 7:26 pm
OpenCart 3.0 Alpha released!!
Thank you Daniel for great simple elegant e commerce platform. i will install this new version, for testing. installing new languages is very useful.

اگر پیامتون در این انجمن ندیده باشم با من از طریق وبسایتم در تماس باشید.
http://ressan.ir


Newbie

Posts

Joined
Fri Oct 09, 2015 11:16 pm


Post by louvre » Tue May 02, 2017 7:54 pm

Thanks Daniel!

Newbie

Posts

Joined
Tue May 02, 2017 7:52 pm


Post by Qphoria » Wed May 03, 2017 2:55 am

@Mod Devs. The biggest change here is the tpl files now need to be done with twig syntax. The rest of the directory structure appears to be the same as 2.3

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by OpenCart Addons » Wed May 03, 2017 11:05 pm

Qphoria wrote:
Wed May 03, 2017 2:55 am
@Mod Devs. The biggest change here is the tpl files now need to be done with twig syntax. The rest of the directory structure appears to be the same as 2.3
A couple other changes I've noticed:
  • URL token was renamed to user_token
  • Main extension list route was changed from extension/extension to marketplace/extension
  • Settings are now stored with the extension type infront of the code (e.g. myextension_status is now shipping_myextension_status)

Image
Canada's Leading Expert In OpenCart Development & Certified OpenCart Development Partner Image


User avatar

Posts

Joined
Thu Nov 24, 2011 10:51 am
Location - Canada

Post by JNeuhoff » Thu May 04, 2017 11:37 pm

OpenCart Addons wrote:
Wed May 03, 2017 11:05 pm
A couple other changes I've noticed:
  • URL token was renamed to user_token
  • Main extension list route was changed from extension/extension to marketplace/extension
  • Settings are now stored with the extension type infront of the code (e.g. myextension_status is now shipping_myextension_status)
Here is a question: There will be many extensions which won't fit into any of the standard extension types like 'module', 'payment', 'shipping', 'report', etc. What kind of prefix should you use in the code field of the oc_setting table?

MHC Web Design
Override Engine * Integrated VQMod * Multilingual SEO * Instant Option Price Calculator * TrustPilot Reviews * Download Options * Free Download Buttons * Export/Import Tool


User avatar
Newbie

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by OpenCart Addons » Thu May 04, 2017 11:44 pm

JNeuhoff wrote:
Thu May 04, 2017 11:37 pm
Here is a question: There will be many extensions which won't fit into any of the standard extension types like 'module', 'payment', 'shipping', 'report', etc. What kind of prefix should you use in the code field of the oc_setting table?
In these situations, I typically just use 'module' as my default.

Image
Canada's Leading Expert In OpenCart Development & Certified OpenCart Development Partner Image


User avatar

Posts

Joined
Thu Nov 24, 2011 10:51 am
Location - Canada

Post by Reptile » Fri May 05, 2017 4:51 pm

Does vqmod 2.6.1 work on OpenCart 3.0?
As far as I can see no changes are being made.

User avatar
Newbie

Posts

Joined
Mon Jan 30, 2012 7:23 pm
Location - The Netherlands

Post by JNeuhoff » Fri May 05, 2017 5:20 pm

Reptile wrote:
Fri May 05, 2017 4:51 pm
Does vqmod 2.6.1 work on OpenCart 3.0?
As far as I can see no changes are being made.
I have ported the Integrated VQmod to OpenCart 3.0, and will release it as soon as OpenCart 3.0 is more stable, e.g. becomes a beta release. There is no point in massively porting extensions to OpenCart 3.0 while it is still an alpha-release and subject to may changes.

MHC Web Design
Override Engine * Integrated VQMod * Multilingual SEO * Instant Option Price Calculator * TrustPilot Reviews * Download Options * Free Download Buttons * Export/Import Tool


User avatar
Newbie

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by Reptile » Fri May 05, 2017 6:10 pm

JNeuhoff wrote:
Fri May 05, 2017 5:20 pm
Reptile wrote:
Fri May 05, 2017 4:51 pm
Does vqmod 2.6.1 work on OpenCart 3.0?
As far as I can see no changes are being made.
I have ported the Integrated VQmod to OpenCart 3.0, and will release it as soon as OpenCart 3.0 is more stable, e.g. becomes a beta release. There is no point in massively porting extensions to OpenCart 3.0 while it is still an alpha-release and subject to may changes.
What do you mean by integrated VQmod? You mean ocmod?

I just want to see what has changed and what it will take to make my extensions work with this new version of Opencart.

User avatar
Newbie

Posts

Joined
Mon Jan 30, 2012 7:23 pm
Location - The Netherlands

Post by Johnathan » Fri May 05, 2017 10:39 pm

JNeuhoff uses his own modified version of vQmod, which he calls "integrated vQmod", and that's what he's referring to.

The standard vQmod 2.6.1 does indeed work fine on OpenCart 3.0, but not for the new template files in .twig format. I haven't looked to see if it's an easy adjustment, but I wouldn't think it would be difficult to do, especially if JNeuhoff has already done it for his "integrated vQmod".

Image
Image Image Image Image Image Image


User avatar
Global Moderator

Posts

Joined
Fri Dec 18, 2009 3:08 am


Post by Reptile » Fri May 05, 2017 10:44 pm

Johnathan wrote:
Fri May 05, 2017 10:39 pm
JNeuhoff uses his own modified version of vQmod, which he calls "integrated vQmod", and that's what he's referring to.

The standard vQmod 2.6.1 does indeed work fine on OpenCart 3.0, but not for the new template files in .twig format. I haven't looked to see if it's an easy adjustment, but I wouldn't think it would be difficult to do, especially if JNeuhoff has already done it for his "integrated vQmod".
Yes Ijust looked and found out vqmod 2.6.1 works fully except for the template files as the are twig instead of tpl.
Any idea which vqmod file to edit to make it work with twig so I can do some more tests with my extensions?

User avatar
Newbie

Posts

Joined
Mon Jan 30, 2012 7:23 pm
Location - The Netherlands

Post by JNeuhoff » Fri May 05, 2017 10:59 pm

For the brave ones who'd like to try out the Integrated VQmod for OC 3.0.0.0, you can try attached pre-release.

Please bear in mind that OC 3.0.0.0 is still an early alpha version, still subject to many changes.

Also, I strongly recommend using OpenCart 3.x event handlers rather than OCmod or VQmod based modifications.

Attachments


User avatar
Newbie

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by Reptile » Fri May 05, 2017 11:04 pm

Is there any documentation about the Event handlers?
How to use it and where to find it?

User avatar
Newbie

Posts

Joined
Mon Jan 30, 2012 7:23 pm
Location - The Netherlands

Post by JNeuhoff » Fri May 05, 2017 11:15 pm

The only documentation I am aware of is at https://github.com/opencart/opencart/wi ... s)-2.2.x.x . OC 3.x events are somewhat similar, except you use model/setting/event instead of model/extension/event for adding or deleting events into the OpenCart database.

MHC Web Design
Override Engine * Integrated VQMod * Multilingual SEO * Instant Option Price Calculator * TrustPilot Reviews * Download Options * Free Download Buttons * Export/Import Tool


User avatar
Newbie

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by OpenCart Addons » Fri May 05, 2017 11:17 pm

iSenseLabs also has a tutorial on their site.

https://isenselabs.com/posts/opencart2- ... m-tutorial

Image
Canada's Leading Expert In OpenCart Development & Certified OpenCart Development Partner Image


User avatar

Posts

Joined
Thu Nov 24, 2011 10:51 am
Location - Canada

Post by JNeuhoff » Fri May 05, 2017 11:24 pm

OpenCart Addons wrote:
Fri May 05, 2017 11:17 pm
iSenseLabs also has a tutorial on their site.

https://isenselabs.com/posts/opencart2- ... m-tutorial
Thank you for the link. The iSenseLabs tutorial is for OC 2.1.x or earlier, there were changes in OC 2.2.x for event handlers.

MHC Web Design
Override Engine * Integrated VQMod * Multilingual SEO * Instant Option Price Calculator * TrustPilot Reviews * Download Options * Free Download Buttons * Export/Import Tool


User avatar
Newbie

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by bull5-i » Sun May 07, 2017 3:00 pm

The Twig template engine has nice ways for extendability, however with the current OpenCart implementation I cannot find access to the Twig environment to use all of these possibilities. This means that custom extensions would have to modify the

Code: Select all

system/library/template/twig.php
using OCMOD or vQmod to include the custom extensions for all page loads, which is definitely not desired. A proper interface would be greatly appreciated here, because some Twig extensions would only be required on certain pages and not all of them.

|V|355 \/\/17|-| 7}{3 |3357, ... [you know the rest]

Commercial mods: New! Questions & Answers PRO - Admin Quick Edit PRO - Product Downloads PRO - Custom Product Tab PRO - New! Product Quick Edit Plus

All mods & extensions by me


Newbie

Posts

Joined
Tue Jan 11, 2011 8:49 pm

Post by santolla » Fri May 26, 2017 4:15 pm

I can't get it to install on my local server, I can install on my web server but won't let me log in. The username/password is correct. I've manually changed them i the database 100 times.

Front end I get this error:
Warning: fopen(/sess_426311d16eae73db2ed951d8f1): failed to open stream: Permission denied in /home/eshopa6/public_html/_opencart/3.0/system/library/session.php on line 47Warning: flock() expects parameter 1 to be resource, boolean given in /home/eshopa6/public_html/_opencart/3.0/system/library/session.php on line 49Warning: fwrite() expects parameter 1 to be resource, boolean given in /home/eshopa6/public_html/_opencart/3.0/system/library/session.php on line 51Warning: fflush() expects parameter 1 to be resource, boolean given in /home/eshopa6/public_html/_opencart/3.0/system/library/session.php on line 53Warning: flock() expects parameter 1 to be resource, boolean given in /home/eshopa6/public_html/_opencart/3.0/system/library/session.php on line 55Warning: fclose() expects parameter 1 to be resource, boolean given in /home/eshopa6/public_html/_opencart/3.0/system/library/session.php on line 57

sessions.php doesn't exist.

Newbie

Posts

Joined
Mon Mar 08, 2010 8:21 am
Who is online

Users browsing this forum: Rockz and 14 guests